## fai 2.10.1ubuntu1

=== Makefile ===
include VERSION

DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub
libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir

# files with variable KERNLEVERSION in it; this string will be substituted
KVERSION_FILES =  $(DESTDIR)/etc/fai/make-fai-nfsroot.conf

all:
	$(MAKE) -C doc all

clean:
	find -name svn-commit\*.tmp -o -name svn-commit.tmp~ | xargs -r rm
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{fai,modutils,dhcp3,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai
	install man/* $(DESTDIR)/man
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install bin/fai-start-stop-daemon $(DESTDIR)/sbin
	install bin/dhclient-script  $(DESTDIR)/etc/dhcp3
	install -m644 conf/dhclient.conf $(DESTDIR)/etc/dhcp3
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	install -m644 conf/fai.conf conf/sources.list conf/menu.lst $(DESTDIR)/etc/fai/
	install -m644 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
	install -m600 conf/fai_modules_off $(DESTDIR)/etc/modutils
	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== doc/Makefile ===
docname = fai-guide
fdocname = $(docname).sgml
MISC_DOC = classes_description.txt links.html changelog.old

%.html: %.sgml
	debiandoc2html $<

%.pdf: %.sgml
	debiandoc2latexpdf $<

%.ps: %.sgml
	debiandoc2latexps $<

%.txt: %.sgml
	debiandoc2text $<

postscript: fai-guide.ps

pdf: fai-guide.pdf

html: fai-guide.html

dvi: test
	debiandoc2latexdvi $(fdocname)

text: fai-guide.txt

test:
	nsgmls -wall -E20 -gues $(fdocname)

clean:
	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex

print: dvi
	dvips -f $(docname) | lpr

install:
	rm $(docname).tpt $(docname).out || true
	cp -dRp $(docname)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)

all: test pdf text html postscript

.PHONY: all dvi text html pdf test clean print postscript

=== debian/changelog ===
fai (2.10.1ubuntu1) dapper; urgency=low

  * Merging ubuntu changes
  * make-fai-nfs-root: patch $NFSROOT/etc/init.d/udev to call
    start-stop-daemon.distrib instead of start-stop-daemon, because the latter
    is disabled in the nfsroot
  * DEMO config: install suitable kernels

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 May 2006 11:20:18 +0200

fai (2.10.1) unstable; urgency=low

  * fai-chboot: fix division by zero error
  * fai.conf: remove $OS_TYPE
  * fai: remove $OS_TPYPE, set $targetdir, eval_cmdline is not needed for
    install and dirinst, move prcopyleft() and additional code into
    external script, use /var/log/fai/current as default LOGDIR,
    /tmp/fai is currently a mount --bind to it
  * fai-do-scripts: replace --no-lock with -K, this should fix cfengine's
    segfault bug
  * install_packages: add commands for y2pmsh, yast and rpm
  * mount2dir: add more fs types that should be skipped
  * fai-mirror: use different source.list when downloading packages for
    debootstrap (closes: #361786), remove comments from PACKAGES line
    (closes: #358910), add option -C, (closes: #318299), recreates
    Package.gz and Release file using apt-ftparchive  
  * fai-cd: add option -C (closes: #312198), print FAI version in grub
    menu, not fai-cd version
  * make-fai-nfsroot: print warning if -f is still used, add config for
    aptitude to allow unsigned packages without prompting
  * menu.lst: enable timeout, use localboot as default, remove syslogd
    flag, remove unused entries, fix IP address for demohost
  * subroutines: new path /var/log/fai/current/showvar.log
  * fai-guide.sgml: include package splitting into fai guide
  * make-fai-nfsroot.conf: new names packages in fai-kernel, add
    console-tools to nfsroot (closes: #363480)
  * get-boot-info: do not try to activate the first four ethernet devices
  * conf/apt.conf: add aptitude option so untrusted repositories will also be used
  * instsoft.FAIBASE: use fcopy for kernel-img.conf
  * subroutines-linux: use IP address when calling fai-chboot in
    task_chboot, this helps when the install client has two network cards
    and the host name lookup fails
  * mkrw: fix typo (closes: #363521)
  * dhcpd.conf: make deny unknown-clients default, remove range definition
  * S99fai-setup: enable networking for faiserver
  
 -- Thomas Lange <lange@debian.org>  Thu, 20 Apr 2006 11:46:12 +0200

fai (2.10) unstable; urgency=low

  * setup_harddisks: mapdisk(): add support for more than two disks, fix
    wrong comments (closes: #356265), allow logical partitions to be
    bootable (closes: #344536)
  * make-fai-nfsroot: do not copy files from /etc/apt to the nfsroot,
    detect kernel version for new kernel name (closes: 352939),
    remove patches-* file when using -K (closes: #348350), remove
    update-modules call, remove symlink creation to /tmp, add warning if
    $FAI_LOCAL_REPOSITORY is still used
  * fai-chboot: change output of -l and -L, major rework of the lsdir
    function, add more options for different listing formats, add template
    copy function (closes: #342471, #356136), options added: -g -c -t -o  
  * 20-hwdetect.source: test if discover is installed
  * make-fai-bootfloppy: remove obsolete message (closes: #347974)
  * fcopy: remove newline from $source, add \Q, (closes: #350015), warning
    if unlink fails, add option -n (closes: #356378), preserving is not an
    error (closes: #360183)
  * make example scripts more cfengine2 compatible (closes: #312201)
  * hooks/instsoft.FAIBASE: do not pause when kernel modules are already
    available (closes: #314613)
  * install_packages: new feature, just unpack packages (closes: #277079),
    add urpmi, urpme and yum support
  * fai: exit script if no parameters are given and no run from nfsroot
  * subroutines: add verbose output when defining variables, add
    subroutines mkrw and mkrwsize, set $diskvar during softupdate to
    /var/log/fai/disk_var.sh, task_savelog: test if files exist before
    copying them
  * remove FAIBASE/20-save_diskvar (closes: #312296)
  * task_sysinfo: call lshw if available
  * lib/get-boot-info: remove duplicate network device names
  * make-fai-nfsroot.conf: use SERVERINTERFACE for detecting subnet
    (closes: #341577)
  * create_ramdisk: use mkrw for making directories writeable
  * fai-mirror: add warning if some files do not exist

 -- Thomas Lange <lange@debian.org>  Mon,  3 Apr 2006 15:11:30 +0200

fai (2.9.1ubuntu1) dapper; urgency=low

  * do a really nasty hack to work around Malone #34366
  * adjusted config files to point to ubuntu locations
  * fix make-fai-nfsroot to detect kernel revision properly 
    (Closes: Malone #43989)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 May 2006 20:24:30 +0200

fai (2.9.1) unstable; urgency=low

  * install_packages: add aptitude-r to @commands (closes: #343361)
  * new command fai-statoverride (like dpkg-statoverride)
  * fai-chboot: use NFS v2 as default until FAI will drop sarge support
  * fai.8: fix typo (closes: #343642)
  * doc/classes_description.txt: remove all unused classes, update
    description (closes: #322026)
  * add script AMD64/99-discover-bug
  * add class FAISERVER
  * updatebase: mount /sys into chroot
  * mkdebmirror: remove non-US stuff
  * savelog.LAST: add segfault to error pattern
  * make-fai-bootfloppy.8: fix typo (closes: #346428)
  * make-fai-nfsroot: do not try to copy file if resolv.conf does not
    exist
  * menu.lst: add entry for faiserver
  * fai-cd: adjust space, new code for generating sources.list file
  * fai-debconf: add test if debconf data file exists (closes: #348857)

 -- Thomas Lange <lange@debian.org>  Sun,  5 Mar 2006 22:37:31 +0100

fai (2.9) unstable; urgency=low

  * splitting binary package fai into fai-server, fai-client, fai-doc and
    fai-nfsroot (closes: #210507)
  * adjust some paths
  * remove beowulf and advanced examples
  * increase compat level to 4
  * delete sunos code from source


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>= 4.1.16), debiandoc-sgml, tetex-bin, tetex-extra

Package: fai-client
Architecture: all
Depends: perl, libapt-pkg-perl, file, cfengine | cfengine2
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary.  Homepage: http://www.informatik.uni-koeln.de/fai
 This package contains the software needed on the install client.

Package: fai-doc
Architecture: all
Conflicts: fai
Description: Documentation for FAI
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, mkisofs, grub
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary.  Homepage: http://www.informatik.uni-koeln.de/fai
 This package is needed for setting up a FAI install server.

Package: fai-quickstart
Architecture: all
Depends: fai-server, fai-doc, fai-kernels, dhcp3-server, nfs-kernel-server | nfs-server, syslinux, tftp-hpa, apt-move, mkisofs
Recommends: mkinitrd-cd
Description: Fully Automatic Installation quickstart package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package setups an install server with some basic
 examples. It should be removed when creating your own config space. 

Package: fai-nfsroot
Architecture: all
Depends: fai-client
Description: Fully Automatic Installation nfsroot package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/tmp
DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc

# we never want CVS and subversion files in our packages
export DH_ALWAYS_EXCLUDE=CVS:.svn

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include VERSION

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp
# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -Nfai-server -Nfai-quickstart
#	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_install --sourcedir=debian/tmp
#	dh_installinfo
	dh_link
	dh_installchangelogs 
	dh_compress -Xexamples -X.pdf
	dh_fixperms -X make-fai-nfsroot.conf
	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
	chmod a+rx ${DOCDIR}/examples/*/hooks/*
	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
	chmod a+rx ${DOCDIR}/examples/utils/*
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
	cp `pwd`/debian/fai-quickstart.lintian $(shell pwd)/debian/fai-quickstart/usr/share/lintian/overrides/fai-quickstart
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fai 3.1ubuntu1

=== Makefile ===
include VERSION
SHELL=/bin/bash

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl

libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir

# files with variable KERNLEVERSION in it; this string will be substituted
KVERSION_FILES =  $(DESTDIR)/etc/fai/make-fai-nfsroot.conf

all:
	$(MAKE) -C doc all

clean:
	find -name svn-commit\*.tmp -o -name svn-commit.tmp~ | xargs -r rm
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,dhcp3,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	install man/* $(DESTDIR)/man
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install bin/fai-start-stop-daemon $(DESTDIR)/sbin
	install bin/dhclient-fai-script  $(DESTDIR)/etc/dhcp3
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/etc/dhcp3
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	install -m644 conf/fai.conf conf/menu.lst $(DESTDIR)/etc/fai/
	install -m644 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m644 conf/fai_modules_off $(DESTDIR)/etc/modutils
	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== debian/changelog ===
fai (3.1ubuntu1) edgy; urgency=low

  * merge FAI 3.1 changes. All necessary ubuntu hacks have been 
    incorporated by upstream (thanks Thomas).
  * changes to default configuration to make a usable ubuntu installation
    - point to archive.ubuntu.com instead of ftp.debian.org
    - use sysvinit instead of upstart, because its default bootlog behavior
  * make fai-mount-disk use /bin/bash instead of /bin/sh

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Oct 2006 10:30:18 +0200

fai (3.1) unstable; urgency=low

  * Makefile: force bash in Makefile, fixes FTBFS in ubuntu
  * rename action dirinst to dirinstall (closes: #390345)
  * fai-cd: fix wrong path for sources.list (closes: #391639)
  * scripts/FAIBASE/10-misc: use ainsl instead of echo >> ...
  * lib/create_ramdisk: make /var/discover writeable
  * make-fai-nfsroot: create directory var/discover
  * subroutines: move find's maxdepth option to the left, prevent multiple
    fai softupdate running simultaneously (closes: #390680)
  * get-config-dir*: replace \s and \S in expr with regex using [:space:],
    so it also works for sarge's version of expr
  * subroutines-liux: add test if base.tgz exists (closes: #390343),
    sources.list must be used from /etc/apt during normal installation
  * fai: add option -u,--hostname (closes: #390367)
  * LAST/5-misc: do not fail if hardware clock can't be set
  * fcopy: swap call of postinst and set_mode
  * install_packages: add missing package list to yum and rpm calls
    (closes: #392032)
  
 -- Thomas Lange <lange@debian.org>  Tue, 10 Oct 2006 01:29:35 +0200

fai (3.0) unstable; urgency=low

  * conf/make-fai-nfsroot.conf,sources.list: move from sarge to etch
  * fai: export FAI_ACTION, fix -c and -C in usage()
  * subroutines-linux: fix path of resolv.conf
  * fai-chboot: remove devfs=nomount, use NFS v3
  * package_config/DEFAULT: replace kernel-image with linux-image
  * faireboot: stop udevd
  * rename class XFREE to XORG, use xorg packages
  * bin/fai: rename $targetdir to $FAI_ROOT
  * add debconf data for german environment (closes: #386192)
  * package_config/GERMAN: new file includes packages for german
    environment
  * new script FAIBASE/20-removable_media creates fstab entries and makes
    directories under /media
  * new script and man page: ainsl, ainsl.1
  * fai-start-stop-daemon: prints which daemon will not be started
  * get-boot-info: fix duplicate call of get_dhcp_info()
  * FAIBASE.var: add FAI_ALLOW_UNSIGNED=1
  * fai-setup: add option no_subtree_check to etc/exports lines
  * get-config-dir-svn: svn support for config space (closes: #314991)
  * fai.8: add info about dirinst, add example
  
 -- Thomas Lange <lange@debian.org>  Wed, 27 Sep 2006 15:44:46 +0200

fai (3~beta21) unstable; urgency=medium

  * make pathes conform to FHS:
    (closes: #340608, #311524, #336650, #309554, #340609)
  * use /srv/tftp/fai    instead of /boot/fai
  * use /srv/tftp/fai/pxelinux.cfg instead of /boot/fai/pxelinux.cfg
  * use /srv/fai/config  instead of /usr/local/share/fai
  * use /srv/fai/nfsroot instead of /usr/lib/fai/nfsroot
  * use /var/lib/fai/config instead of /fai
  * use /var/lib/fai/mirror instead of /mnt
  * create_ramdisk: call mkrw with -n
  * setup_harddisks: use more secure options for /proc line
  * fai-chboot: use tcp as default for nfs, nfs v3 can will become default
    with etch, existent .disable pxe file will be removed automatically,
    add headline when copying from template, change in options: -d is now
    -D, -r is now -d, -r is not used any more, abort if $pxedir does not
    exist (closes: #373596) 
  * subroutines-linux: task_updatebase does not use updatebase.log any
    more (closes: #366823), try ftar $FAI/basefiles before extracting
    base.tgz, create policy-rc.d in the chroot, copy sources.list from
    $FAI_ETC_DIR, replace $FAI_REMOTESH with local variable $remotesh, fix
    path for resolv.conf
  * move /etc/fai/sources.list to /etc/fai/apt/sources.list  
  * fix lintian error: build-depends-indep-should-be-build-depends
    debhelper
  * complies with policy 3.7.2
  * added a linda override for fai-quickstart (ignore /usr/doc-symlink
    warning)
  * added Section: headers to binary packages in control
  * conf/make-fai-nfsroot.conf: remove variables: $nfssize,
    $NFSROOT_PACKAGES, $package
  * new config file /etc/fai/NFSROOT which contains the package list
  * fai.conf: remove FAI_REMOTESH and FAI_REMOTECP, use FAI_LOGPROTO
    instead, LOGSERVER, LOGREMOTEDIR, LOGPASSWD removed installserver
    removed (closes: #332837)
  * lib/subroutines: remove get_fai_cvs(), get_fai_dir(), now separate
    scripts, print warning if CD-ROM does not use DMA mode, eject fai-cd
    at the end of the installation
  * fai: replace $rclog with $LOGIDR/fai.log, add option -C,--cfdir,
    -c,--class (closes: #353535), add support for dirinst, cleanup LOGDIR
    before using it again (closes: #369534), remove variable rundir, mkdir
    /var/run/fai if not existing, trap uses subroutine clean_exit() for
    dirinst  
  * fai-setup: use getent for getting IP address, make it a bash script,
    change $HOME of LOGUSER (closes: #290449), do not use SERVERINTERFACE
    for getting hostname, add all IP addresses and host names to
    ssh_known_hosts (closes: #286692), remove variable FAICLIENTS, use IP
    address and netmask for exportfs line (closes: #381261)
  * make-fai-nfsroot: new subroutine all_host_entries(), use
    install_packages and /etc/fai/NFSROOT for installing packages into the
    nfsroot, install fai-nfsroot before other packages are installed, do
    not exit if getent returns no information, rename -c to -C, use
    readlink to determine $cfdir (closes: #358765)
  * variable $fstab replaced with fstab (no more Solaris support using
    vfstab)
  * savelog.LAST: set reboot=1 if no errors are found
  * fcopy: fix bug (closes: #374415)
  * control: update to Standards-Version: 3.7.2, fai-quickstart depends on
    tftpd-hpa


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
Build-Depends: debhelper (>= 4.1.16)


Package: fai-client
Architecture: all
Section: admin
Depends: perl, libapt-pkg-perl, file, cfengine2 | cfengine
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary. This package contains the software needed on the install client. 
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-doc
Architecture: all
Section: doc
Conflicts: fai
Description: Documentation for FAI
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This is the documentation for FAI in various formats.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-server
Architecture: all
Section: admin
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, mkisofs, grub
Conflicts: fai
Replaces: fai
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install a Debian GNU/Linux operating
 system unattended on a PC cluster. You can take one or more virgin
 PCs, turn on the power, and after a few minutes, Linux is installed,
 configured, and running on the whole cluster, without any interaction
 necessary. This package is needed for setting up a FAI install server.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-quickstart
Architecture: all
Section: admin
Depends: fai-server, fai-doc, fai-kernels, dhcp3-server, nfs-kernel-server | nfs-server, syslinux, tftpd-hpa, apt-move, mkisofs
Recommends: mkinitrd-cd
Description: Fully Automatic Installation quickstart package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package setups an install server with some basic
 examples. It should be removed when creating your own config space. 
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-nfsroot
Architecture: all
Section: admin
Depends: fai-client
Description: Fully Automatic Installation nfsroot package
 FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
 systems. This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.
 .
 Homepage: http://www.informatik.uni-koeln.de/fai

## fai 3.1.3ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -29,13 +29,14 @@
 	nsgmls -wall -E20 -gues $(fdocname)
 
 clean:
-	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex
+	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex $(docname).tex-in $(docname).aux $(docname).toc
+	rm -f body.tmp head.tmp thb*.png *.log
 
 print: dvi
 	dvips -f $(docname) | lpr
 
 install:
-	rm $(docname).tpt $(docname).out || true
+	rm -f $(docname).tpt $(docname).out
 	cp -dRp $(docname)* $(DOCDIR)
 	cp -p $(MISC_DOC) $(DOCDIR)

=== debian/changelog ===
fai (3.1.3ubuntu1) feisty; urgency=low

  [Reinhard Tartler]
  * Review and clean up Achim's diff
  
  [Achim Bohnet]
  * Merge from debian unstable.
    + all kubuntu changes kept.
    + all but one conflict due to svn $ID$ tags
    + ./VERSION stick with kubuntu kernel
  * conf/make-nfsroot.conf conf/sources.list: replace edgy with feisty

  * simple example config fixes:

    + replace #!/bin/sh with #!/bin/bash in all script. ifclass is a
      function that gets not defined if sh is dash. Also (error|1) got
      trap statements were broken:
           class/10-base-classes hooks/instsoft.FAIBASE scripts/DEMO/10-misc
           scripts/FAIBASE/30-interface scripts/FAIBASE/10-misc
           scripts/LAST/50-misc

    + files/boot/grub/menu.lst/postinst: fix update-grub full path. It's
      in /sbin not /usr/sbin

  * doc/Makefile clean target: add doc/fai-guide.tex-in doc/fai-guide.aux
    doc/fai-guide.toc.  They are left behind when building docs fails
    or is interrupted.

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 20 Dec 2006 23:07:13 +0100

fai (3.1.3) unstable; urgency=medium

  * fai-savelog: fix a security tagged bug, make local copy of LOGDIR only
    readable for root and group adm (closes: #402644)
  * fai: add missing shift command (closes: #402588)
  * fai.8: improve dirinstall info (closes: #402294)
  * package_config/FAIBASE: add packages, this is only a documentation
    change

 -- Thomas Lange <lange@debian.org>  Sun, 17 Dec 2006 17:40:54 +0100

fai (3.1.2) unstable; urgency=high

  * use new fai kernel version 2.6.18
  * control: add Vcs-Svn control field (closes: #399561)
  * conf/NFSROOT: remove package hwtools, which do not exists any more
  * fai-chboot: exit if file cannot be written, tmpfile was not always
    removed
  * make-fai-bootfloppy: remove sit interfaces from list of network
    devices (closes: #400521), print error if it can't write to floppy
    device (closes: #400522)
  * fcopy: tmpfile was not always removed
  * mount2dir: use noatime when mounting local file systems
  * lib/subroutines-linux: change comment
  * fix typo in changelog
  * fai-server.postinst: change message (closes: #400324)

 -- Thomas Lange <lange@debian.org>  Mon, 27 Nov 2006 20:04:51 +0100

fai (3.1.1) unstable; urgency=low

  * control: remove mkinitrd-cd from Recemmends: and Suggests:
  * make-fai-nfsroot: add missing option h to getopt, fix typo, test if
    $cfdir is already set (closes: #394884), no code change, reorder code
    so a normal user gets help whem using -h,--help
  * faireboot: fix file name to variables.log
  * fai-chboot: fix several bugs for listing options, option -p expects an
    argument, fix for -c behaviour (closes: #389905)
  * fai-chboot.8: minor document fixes
  * fai-mirror.1: fix example (closes: #390520)
  * fcopy: remove temporary file after use
  * fai: start udev before creating /dev/shm/network, remove set +a for
    dirinstall, so $fai_rundate will be exported (closes: #390373)
  * subroutines: umount config dir at the end of softupdate action,
    cd back to old directory, convert FAI_ROOT to absolute path if doing
    dirinstall (closes: #390346), die() only calls bash when
    FAI_ACTION=install, add -i to bash call (closes: #362252)
  * subroutines-linux: check exit status of get-config-dir
  * get-config-dir: replace die call with echo and exit statement, add
    error message
  * get-config-dir-cvs: fixed regular expression as 'expr' automatically
    anchors to the beginning
  * LAST/50-misc: /sbin/unconfigured.sh is not used any more
  * ainsl.8: explain ^ and $ treatment in more detail
  * FAIBASE/10-misc: add anchors to ainsl pattern
  * class/20hwdetect.source: change discover call
  * aisnl,fcopy,fai-chboot: print help and exit if unknow option was given
  * lib/task_sysinfo: remove call of kudzu since it's not available any
    more in etch
  
 -- Thomas Lange <lange@debian.org>  Mon,  6 Nov 2006 15:57:01 +0100

fai (3.1) unstable; urgency=medium

  * Makefile: force bash in Makefile, fixes FTBFS in ubuntu
  * rename action dirinst to dirinstall (closes: #390345)
  * fai-cd: fix wrong path for sources.list (closes: #391639)
  * scripts/FAIBASE/10-misc: use ainsl instead of echo >> ...
  * lib/create_ramdisk: make /var/discover writeable
  * make-fai-nfsroot: create directory var/discover, add option -h and
    usage() subroutine
  * subroutines: move find's maxdepth option to the left, prevent multiple
    fai softupdate running simultaneously (closes: #390680), move
    disk_var.sh from FAI 2.X installation old to new location
    rename variable sndhostname to sendhostname
  * get-config-dir*: replace \s and \S in expr with regex using [:space:],
    so it also works for sarge's version of expr
  * subroutines-liux: add test if base.tgz exists (closes: #390343),
    sources.list must be used from /etc/apt during normal installation
  * fai: add option -u,--hostname (closes: #390367), create
    /dev/shm/network if directory not already exists (needed for initrd
    kernels)
  * LAST/50-misc: do not fail if hardware clock can't be set
  * fcopy: swap call of postinst and set_mode
  * install_packages: add missing package list to yum and rpm calls
    (closes: #392032)
  * rename sndmon() to sendmon()
  * fai-start-stop-daemon: start udevd (needed for ubuntu) and do not fake
    it, add carriage return
  * package_config/DEMO: remove rstatd since it buggy atm
  
 -- Thomas Lange <lange@debian.org>  Thu, 19 Oct 2006 14:46:32 +0200

## fai 3.1.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include VERSION
-SHELL=/bin/bash
 
 SHELL=/bin/bash
 DESTDIR=$(shell pwd)/debian/tmp

=== debian/changelog ===
fai (3.1.8) unstable; urgency=medium

  * conf/NFSROOT: remove unknow package name (closes: 407950)
  * setup_harddisks: use C locale when calling mkreiserfs (closes: 413504)
  * fai-mirror: add /usr/sbin to $PATH so a normal user can also call
    this command (closes: 413466)
  * simple/package_config/GERMAN: fix wrong package name
  * lib/subroutines: replace >>/dev/stderr with >&2

 -- Thomas Lange <lange@debian.org>  Tue, 13 Mar 2007 23:39:56 +0100

fai (3.1.7) unstable; urgency=medium

  * subroutines: ifclass() should append to stderr (closes: #409059)
  * examples/simple/, lib/fai-mount-disk, lib/mount2dir: use bash for
    shell scripts (closes: #410084)  
  * fix typo in bug number of older changelog entry
  * install_packages.8: add info for variable MAXPACKAGES
  
 -- Thomas Lange <lange@debian.org>  Wed, 14 Feb 2007 12:11:29 +0100

fai (3.1.6) unstable; urgency=high

  * fix important and grave bugs
  * fai-setup: do not fail (and exit) if $loguserhome is not writeable for
    root (closes: #407947)
  * fai-class: fix syntax error (closes: #408153)
  
 -- Thomas Lange <lange@debian.org>  Tue, 23 Jan 2007 23:49:33 +0100

fai (3.1.5) unstable; urgency=low

  * make-fai-nfsroot: remove copying of *.pub files (closes: #406334)
  * fai-debconf: add template when create tmp file, remove also old
    tmp files (closes: #406336)
  * fai: add missing parameter to --long options (closes: #406125)
  * fai-classs: set hostname from -u as intended (closes: #406125)
  * scripts/FAISERVER/10-conffiles: fix wrong path (closes: #406500)
  * README: update year from 2006 to 2007

 -- Thomas Lange <lange@debian.org>  Fri, 12 Jan 2007 14:57:12 +0100

fai (3.1.4) unstable; urgency=medium

  * these are only document changes and a one liner for setup_harddisks
  * fix default examples. A change in the xorg package dependencies broke
    the default FAI example installation (closes: #405435)
  * remove xlockmore package from example (closes: #405433)
  * setup_harddisks: add support for mountig existing NTFS partitions
    (closes: #404187)

 -- Thomas Lange <lange@debian.org>  Thu,  4 Jan 2007 15:30:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.7.2
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
 Build-Depends: debhelper (>= 4.1.16)
-
+XS-Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
 
 Package: fai-client
 Architecture: all
@@ -37,7 +37,7 @@
 Section: admin
 Depends: fai-client, debootstrap
 Recommends: nfs-kernel-server | nfs-server, fai-kernels, dhcp3-server | bootp, tftpd-hpa | tftpd, rsh-server, wget, syslinux
-Suggests: ssh, debmirror, mknbi, apt-move, mkinitrd-cd, mkisofs, grub
+Suggests: ssh, debmirror, mknbi, apt-move, mkisofs, grub
 Conflicts: fai
 Replaces: fai
 Description: Fully Automatic Installation server package
@@ -53,7 +53,6 @@
 Architecture: all
 Section: admin
 Depends: fai-server, fai-doc, fai-kernels, dhcp3-server, nfs-kernel-server | nfs-server, syslinux, tftpd-hpa, apt-move, mkisofs
-Recommends: mkinitrd-cd
 Description: Fully Automatic Installation quickstart package
  FAI is a tool for doing Fully Automatic Installation of Debian(-based) Linux
  systems. This package setups an install server with some basic

## fai 3.2.4+svn4837

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,9 @@
 LIBDIR = $(DESTDIR)/usr/lib/fai
 USRSBIN_SCRIPTS = make-fai-nfsroot make-fai-bootfloppy fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride
 
-USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl
+USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl faimond-gui
 
-libfiles=$(wildcard lib/[a-z]*)  # do not include CVS dir
+libfiles=$(wildcard lib/[a-z]*)  # do not include .svn dir and S01
 
 # files with variable KERNLEVERSION in it; this string will be substituted
 KVERSION_FILES =  $(DESTDIR)/etc/fai/make-fai-nfsroot.conf
@@ -26,6 +26,7 @@
 install: 
 	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,dhcp3,apt/apt.conf.d}
 	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
+	mkdir -p $(DESTDIR)/etc/init.d $(DESTDIR)/usr/share/fai/pixmaps
 	install man/* $(DESTDIR)/man
 	$(MAKE) -C doc install
 	-install $(libfiles) $(LIBDIR)
@@ -40,6 +41,8 @@
 	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
 	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
 	install -m644 conf/fai_modules_off $(DESTDIR)/etc/modutils
+	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
+	install -p -m644 pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
 	perl -pi -e 's/_KERNELVERSION_/$(KERNELVERSION)/' $(KVERSION_FILES)
 	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
 	cp -a examples $(DOCDIR)
